# Documentation Specfile
%define HTMLVIEW %(test "%{?dist}" == ".el5" && echo 1 || echo 0)
%define ICONS 1

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="Scientific Linux"
%endif

Name:         slf-release-notes
Version:      6.1
Release:      1
Summary:       Release Notes for Scientific Linux Fermi 6
Group:         Documentation
License:       CC-BY-SA, GPL
Source:        %{name}-%{version}.tar.gz
Source1:       sl-release-notes-%{version}.html
Source2:       %{name}-%{version}.html
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires:    publican-redhat

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif

%description
Scientific Linux Fermi release notes.
As well as the Upstream Vendors release notes.

%prep
%setup -q

%build
publican build --formats="html-desktop" --langs=en-US

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

%if %{ICONS}
for icon in `ls icons/*x*.png`; do
	size=`echo "$icon" | sed -e 's/icons\/\(.*\)\.png/\1/'`;
	mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
	cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/release-notes.png;
done
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps
cp icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/release-notes.svg;
%else
cp images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/release-notes.svg;
%endif

cat > TUV.desktop <<'EOF'
[Desktop Entry]
Name=The Upstream Vendor %{version}: Release Notes
Comment=Release Notes for The Upstream Vendor %{version} Release
Exec=%{viewer} %{_docdir}/%{name}-%{version}/tuv.index.html
Icon=release-notes
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

cat > SL.desktop <<'EOF'
[Desktop Entry]
Name=Scientific Linux %{version}: Release Notes
Comment=Release Notes for Scientific Linux %{version}
Exec=%{viewer} %{_docdir}/%{name}-%{version}/sl-index.html
Icon=release-notes
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Scientific Linux Fermi %{version}: Release Notes
Comment=Release Notes for Scientific Linux Fermi %{version}
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=release-notes
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications TUV.desktop
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications SL.desktop
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications TUV.desktop
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications SL.desktop
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Move the Scientific Linux release notes in
mv tmp/en-US/html-desktop/index.html tmp/en-US/html-desktop/tuv.index.html
cp %{SOURCE1} tmp/en-US/html-desktop/sl-index.html
cp %{SOURCE2} tmp/en-US/html-desktop/index.html

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/en-US/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/TUV.desktop
%{_datadir}/applications/SL.desktop
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/TUV.desktop
%{_datadir}/applications/SL.desktop
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Mon Jul 25 2011 Troy Dawson <dawson@fnal.gov> - 6.1-1
- SLF 6.1 release notes.  Spec file taken from sl-release-notes
- It should have TUV, SL and Fermi release notes

* Mon Jul 25 2011 Troy Dawson <dawson@fnal.gov> - 6.1-1
- SL 6.1 final release notes.

* Wed Mar 02 2011 Troy Dawson <dawson@fnal.gov> - 6.1-0.1.rolling
- Initial release for SL 6.1

* Wed Mar 02 2011 Troy Dawson <dawson@fnal.gov> - 6.0-1
- Final release notes

* Thu Dec 02 2010 Troy Dawson <dawson@fnal.gov> - 6.0-0.1.rolling
- Initial release
- Including TUV release notes, unchanged
- Adding blank SL release notes.
